SDL_HasSSE(3)

NAME
SDL_HasSSE - Determine whether the CPU has SSE features.

SYNOPSIS
#include <SDL3/SDL_cpuinfo.h>

bool SDL_HasSSE(void);

DESCRIPTION
This always returns false on CPUs that aren't using Intel instruction sets.

RETURN VALUE
Returns true if the CPU has SSE features or false if not.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_HasSSE2(3), SDL_HasSSE3(3), SDL_HasSSE41(3), SDL_HasSSE42(3)